Skip to main content
`Ctrl`+`K`

# VecSwap

Swaps the values between two vectors, `x` and `y`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecSwap(Vec x, Vec y)

Logically Collective

## Input Parameters

- x - the first vector

- y - the second vector

## See Also

Vectors and Parallel Data, `Vec`, `VecSet()`

## Level

advanced

## Location

src/vec/vec/interface/vector.c

## Examples

src/vec/vec/tutorials/ex20f90.F90
src/vec/vec/tutorials/ex1.c
src/vec/vec/tutorials/ex1f90.F90

## Implementations

VecSwap_Nest() in src/vec/vec/impls/nest/vecnest.c
VecSwap_Seq() in src/vec/vec/impls/seq/bvec2.c
VecSwap_SeqKokkos() in src/vec/vec/impls/seq/kokkos/veckok.kokkos.cxx
VecSwap_SeqViennaCL() in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages